package de.bioinf.appl;

import de.bioinf.utils.Params;

/**
 * The command line parameters.
 * 
 * @author ng
 */
public class CommandParams extends Params<String, String> {
	public CommandParams(String[] args) {
		super();
		fill(args);
	}

	@Override
	public String[] getKeys() {
		return params.keySet().toArray(new String[params.size()]);
	}

	private void fill(String[] args) {
		String key = null;
		for (int i = 0; i < args.length; i++) {
			if (args[i].startsWith("-")) {
				key = args[i];
				put(key, null);
			} else {
				put(key, args[i]);
			}
		}
	}
}
