package de.bioinf.appl;

import java.io.StringReader;

import de.bioinf.utils.LineReader;
import de.bioinf.utils.PersistentParams;
import de.bioinf.utils.Utils;

/**
 * The parameters read from a configuration file (.bioinf/applname.ini), where applname is the name of the application.
 * 
 * @author ng
 */
public class ConfigParams extends PersistentParams<String, String> {
	protected String applname = null;

	public ConfigParams(String applname) {
		super();
		fill(this.applname = applname);
	}

	public String getApplName() {
		return applname;
	}

	public String getKeyObject(String key) {
		return key;
	}

	public String getValueObject(String value) {
		return value;
	}

	@Override
	public String[] getKeys() {
		return params.keySet().toArray(new String[params.size()]);
	}

	@Override
	public String toString(String value) {
		return value;
	}

	private void fill(String applname) {
		try {
			load(Utils.getConfDirectory() + "/" + applname + ".ini");
		} catch (Exception e) {
			try {
				byte[] bytes = Utils.getClassPathContent("conf/" + applname + ".ini");
				load(new LineReader(new StringReader(new String(bytes))));
			} catch (Exception e2) {
				// Do nothing
			}
		}
	}
}
