package de.bioinf.appl.distg;

import de.bioinf.utils.IntValueRange;

public class DistGParams {
	/**
	 * The range of interest in the graphical display
	 */
	protected IntValueRange countRange = new IntValueRange(0, 500);
	/**
	 * The min and max length of seqeunces
	 */
	protected IntValueRange lenRange = new IntValueRange(0, 1000000);
	/**
	 * The bucket size
	 */
	protected int bucketSize = 1;
	/**
	 * The minimum sequence length counted together as one cell.
	 */
	protected int bucketCell = 1000;

	public DistGParams() {
	}

	public DistGParams(IntValueRange lenRange, IntValueRange countRange, int bucketSize, int bucketCell) {
		this.lenRange = lenRange;
		this.countRange = countRange;
		this.bucketSize = bucketSize;
		this.bucketCell = bucketCell;
	}
}
