package de.bioinf.base;

/**
 * Class for counting codons.
 * 
 * @author ng
 */
public class CodonCounter {
	private int[] counters = new int[Codon.COUNT];

	public CodonCounter() {
		super();
	}

	/**
	 * Increment the counter for codon.
	 */
	public void inc(Codon codon) {
		counters[codon.getIndex()]++;
	}

	/**
	 * Returns the counter of codon.
	 */
	public int get(Codon codon) {
		return counters[codon.getIndex()];
	}
}
