package de.bioinf.ui;

import javax.swing.JCheckBox;

public class CheckBox extends JCheckBox implements InputComponent {
	private boolean savedState = false;

	public CheckBox(boolean state) {
		super();
		setSelected(state);
		saveState();
	}

	@Override
	public boolean isOk() {
		return true;
	}

	@Override
	public void reset() {
		setSelected(savedState);
	}

	@Override
	public void saveState() {
		savedState = isSelected();
	}
}
