package de.bioinf.ui;

import java.io.File;

/**
 * This dialog "extends" the FileSelector/JFileChooser dialog and provides the two button of the InputDialog.
 * 
 * @author ng
 */
public abstract class FileSelectorDialog extends InputDialog<FileSelector> {
	public FileSelectorDialog(String title, String filename) {
		this(title, filename, 600, 400);
	}

	public FileSelectorDialog(String title, String filename, int width, int height) {
		super(title, new FileSelector(filename), width, height);
	}

	public void enableFilename(boolean state) {
		getInputComponent().enableFilename(state);
	}

	public String getDirectory() {
		return getInputComponent().getDirectory();
	}

	public String getFilename() {
		return getInputComponent().getFilename();
	}

	public void setDirectory(String dirname) {
		getInputComponent().setDirectory(dirname);
	}

	public void setFilename(String filename) {
		getInputComponent().setFilename(filename);
	}

	/**
	 * On activating the dialog read the directory anew
	 */
	@Override
	public void setVisible(boolean state) {
		if (state) {
			String filename = getInputComponent().getFilename();
			File file = new File(filename);
			if (file.isDirectory()) {
				setDirectory(filename);
			} else if (file.isFile()) {
				setFilename(filename);
			}
		}
		super.setVisible(state);
	}

}
