package de.bioinf.ui.graph;

import java.awt.Graphics;

/**
 * An element for a coordinate system that displays the value pair(x,y) as a
 * circle.
 * 
 * @author ng
 */
public class CircleCoordElem extends CoordElem {
	private int radius = 0;

	public CircleCoordElem(CoordPanel panel, double xval, double yval, int diameter, String id) {
		super(panel, xval, yval, id);
		this.radius = diameter / 2;
	}

	public void paint(Graphics g) {
		g.setColor(getBackground());
		g.fillOval(getX() - radius, getY() - radius, radius * 2, radius * 2);
	}

	public boolean isHit(int x, int y) {
		return Math.abs(getX() - x) <= radius && Math.abs(getY() - y) <= radius;
	}
}
