package de.bioinf.ui.graph;

import java.awt.Graphics;

/**
 * An element for a coordinate system that displays the value pair(x,y) as a
 * cross.
 * 
 * @author ng
 */
public class CrossCoordElem extends CoordElem {
	private int size = 0;

	/**
	 * Creates a cross element.
	 * 
	 * @param size - The size (height/width) in pixel of the cross
	 */
	public CrossCoordElem(CoordPanel panel, double xval, double yval, int size, String id) {
		super(panel, xval, yval, id);
		this.size = size / 2;
	}

	public void paint(Graphics g) {
		g.setColor(getBackground());
		g.drawLine(getX() - size, getY(), getX() + size, getY());
		g.drawLine(getX(), getY() - size, getX(), getY() + size);
	}

	public boolean isHit(int x, int y) {
		return Math.abs(getX() - x) <= size && Math.abs(getY() - y) <= size;
	}
}
