package de.bioinf.ui.graph;

import java.awt.event.KeyEvent;

import javax.swing.KeyStroke;

/**
 * KeyStrokes used in GraphPanels esp. in their subclasses (They may use a
 * subset of this).
 * 
 * @author ng
 */
public class GraphKeyStroke {
	private KeyStroke stroke = null;

	public static final GraphKeyStroke ZOOM_IN = new GraphKeyStroke('+');
	public static final GraphKeyStroke ZOOM_OUT = new GraphKeyStroke('-');
	public static final GraphKeyStroke RESIZE = new GraphKeyStroke('r');
	public static final GraphKeyStroke PRINT = new GraphKeyStroke('p');
	public static final GraphKeyStroke DELETE = new GraphKeyStroke(KeyEvent.VK_DELETE, 0, false);

	public GraphKeyStroke(char keyChar) {
		stroke = KeyStroke.getKeyStroke(keyChar);
	}

	public GraphKeyStroke(int keyCode, int modifiers, boolean onKeyRelease) {
		stroke = KeyStroke.getKeyStroke(keyCode, modifiers, onKeyRelease);
	}

	public KeyStroke getStroke() {
		return stroke;
	}
}
