package de.bioinf.utils;

/**
 * The base class for all events.
 * 
 * @param <O> - The event generating object itself, or a value that is passed.
 * 
 * @author ng
 */
public abstract class BioinfEvent<T extends Object> {
	private T comp;
	private int type;

	/**
	 * The unknown event type
	 */
	public static final int UNKNWON = -1;

	public BioinfEvent(T comp) {
		this(comp, UNKNWON);
	}

	public BioinfEvent(T comp, int type) {
		this.comp = comp;
		this.type = type;
	}

	public T getComponent() {
		return comp;
	}

	public int getType() {
		return type;
	}
}
