package de.bioinf.utils;

/**
 * Interface for a section in a configuration file.
 * 
 * @see ConfigFile
 * @author ng
 */
public interface ConfigSection {
	/**
	 * Returns the header name of the section (without brackets!)
	 */
	public String getHeader();

	/**
	 * Convert the values to a string that may be saved as a section in a configuration file.
	 */
	public String toConfig();

	/**
	 * Reads the data from a part of a file. The lines are already trimmed!
	 */
	public void fromConfig(String[] lines) throws BioinfException;
}
