package de.bioinf.utils;

/**
 * A counter - e.g. used instead of Integer, because Integer objects cannot be
 * changed, they must be recreated on value changes.
 * 
 * @author ng
 */
public class Counter {
	private int value;

	public Counter(int value) {
		super();
		this.value = value;
	}

	public Counter() {
		this(0);
	}

	public int add(int value) {
		this.value += value;
		return this.value;
	}

	public int dec() {
		return --value;
	}

	public int inc() {
		return ++value;
	}

	public int getValue() {
		return value;
	}
}
