package de.bioinf.utils;

/**
 * A simple utility to convert a file in the jar archive to a class file.
 * 
 * @author ng
 */
public class FileToClass {
	public static void main(String[] args) throws BioinfException {
		byte[] bytes = Utils.getClassPathContent(args[0]);
		BioinfException.fire(bytes != null, "Invalid file!");
		System.out.print(FileToClass.getSceleton(bytes, args[1]));
	}

	public static String getSceleton(byte[] bytes, String classname) {
		StringBuffer buf = new StringBuffer();
		buf.append("public class " + classname + " {\n");
		buf.append("private static final byte[] bytes = new byte[] {\n");
		for (int i = 0; i < bytes.length; i++) {
			buf.append(bytes[i]);
			if (i < bytes.length - 1) {
				buf.append(", ");
			}
			if (((i + 1) % 16) == 0) {
				buf.append("\n");
			}
		}
		buf.append("};\n");
		buf.append("public static byte[] get() {\n");
		buf.append("return bytes;\n");
		buf.append("}\n");
		buf.append("}");
		return buf.toString();
	}
}
